Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™ v2.5.x
Author Message
redhairz
Worker
Worker


Joined: Nov 17, 2006
Posts: 222

PostPosted: Thu Jul 12, 2007 7:45 pm Reply with quote

Guys need a helping hand i upgraded 250 to 2510 i found out that the tracked ip was unable to track the latest visitor it stopped. the sn verions was 245 i upgraded to 250 and to 2510 yesterday. Rolling Eyes

PHPmyadmin had this report
More than one INDEX key was created for column `date`
More than one INDEX key was created for column `ip_long`

_________________
Jesus is Alive, He is our joy, be it good times or bad time. 
View user's profile Send private message
montego
Site Admin


Joined: Aug 29, 2004
Posts: 9456
Location: Arizona

PostPosted: Fri Jul 13, 2007 5:38 am Reply with quote

It might just be better to use the installer to drop the tables and re-create them. Most everything come pre-configured anyways, so usually not much needs to be changed. You would lost your added strings and harvestors that you have added, and, of course, you would have to dump your blocked IPs, but...

Another thing you could do is use mySQLDiff to compare the NS tables to a fresh install (such as on a local PC using XAMPP).

It might be tough to figure out what went wrong without being able to see what state the tables are in.

_________________
Only registered users can see links on this board! Get registered or login!
Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Visit poster's website
redhairz
PostPosted: Fri Jul 13, 2007 7:54 am Reply with quote

montego thank for the reply i use one of the old trick found on this site can this be done?
sory i cant find any installer on the upgrade package, nor understander well of that.

i believe the code 255 is the version, so what is the correct input version number on this code to 2.5.10?
Code:
KEY `refered_from` (`refered_from`(255)), 

  KEY `user_agent` (`user_agent`(255)),
  KEY `page` (`page`(255))



Code:


DROP TABLE IF EXISTS `nuke_nsnst_tracked_ips`;
CREATE TABLE IF NOT EXISTS `nuke_nsnst_tracked_ips` (
  `tid` int(10) NOT NULL auto_increment,
  `ip_addr` varchar(15) NOT NULL default '',
  `ip_long` int(10) unsigned NOT NULL default '0',
  `user_id` int(11) NOT NULL default '1',
  `username` varchar(60) NOT NULL default '',
  `user_agent` text NOT NULL,
  `refered_from` text NOT NULL,
  `date` int(20) NOT NULL default '0',
  `page` text NOT NULL,
  `x_forward_for` varchar(32) NOT NULL default '',
  `client_ip` varchar(32) NOT NULL default '',
  `remote_addr` varchar(32) NOT NULL default '',
  `remote_port` varchar(11) NOT NULL default '',
  `request_method` varchar(10) NOT NULL default '',
  `c2c` char(2) NOT NULL default '00',
  PRIMARY KEY  (`tid`),
  KEY `user_id` (`user_id`),
  KEY `username` (`username`),
  KEY `ip_addr` (`ip_addr`),
  KEY `c2c` (`c2c`),
  KEY `date` (`date`),
  KEY `ip_long` (`ip_long`),
  KEY `refered_from` (`refered_from`(255)),
  KEY `user_agent` (`user_agent`(255)),
  KEY `page` (`page`(255))
) TYPE=MyISAM;
[/code]
 
montego
PostPosted: Fri Jul 13, 2007 6:26 pm Reply with quote

redhairz, you had to use the installer to go from 2.5.0 to 2.5.10. I believe the drop installation tables is in the drop down list when you open up the installer. Then, once the tables are dropped, there is also a "New Installation" option as well.

This table should look like this:

Code:


CREATE TABLE nuke_nsnst_tracked_ips (
  tid int(10) NOT NULL auto_increment,
  ip_addr varchar(15) NOT NULL default '',
  ip_long int(10) unsigned NOT NULL default '0',
  user_id int(11) NOT NULL default '1',
  username varchar(60) NOT NULL default '',
  user_agent text NOT NULL,
  refered_from text NOT NULL,
  `date` int(20) NOT NULL default '0',
  `page` text NOT NULL,
  x_forward_for varchar(32) NOT NULL default '',
  client_ip varchar(32) NOT NULL default '',
  remote_addr varchar(32) NOT NULL default '',
  remote_port varchar(11) NOT NULL default '',
  request_method varchar(10) NOT NULL default '',
  c2c char(2) NOT NULL default '00',
  PRIMARY KEY  (tid),
  KEY c2c (c2c),
  KEY ip_addr (ip_addr),
  KEY user_id (user_id),
  KEY username (username),
  KEY `date` (`date`),
  KEY ip_long (ip_long),
  KEY user_agent (user_agent(255)),
  KEY refered_from (refered_from(255)),
  KEY `page` (`page`(255))
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;


At initial glance, I don't see the differences (none that matter?). Are you sure this is the table giving you the problem?

Again, I would highly recommend the deinstall and re-install.
 
redhairz
PostPosted: Mon Jul 16, 2007 2:20 pm Reply with quote

montego sorry for the late reply yes ok well the phpmyadmin reported this i guess so ..
More than one INDEX key was created for column `date`
More than one INDEX key was created for column `ip_long`

i use the code you had given it didnt work. i will drop all nsna=table and reinstall again and see how. Thank for the susgestion.
 
Display posts from previous:       
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™ v2.5.x

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©